=== debian/changelog ===
golang-github-containers-image (4.0.1-1) unstable; urgency=medium

  * New upstream version 4.0.1
  * refresh patches

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 20 Oct 2019 08:31:31 -0400

golang-github-containers-image (3.0.2-2) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 19 Oct 2019 21:55:07 -0400

golang-github-containers-image (3.0.2-1) experimental; urgency=medium

  [ Reinhard Tartler ]
  * Initial release (Closes: #922842)
  * backport storage options API

  [ Dmitry Smirnov ]
  * Clean-up "ostree-stub.patch" (better way to remove files than to un-patch them).
  * (Build-)Depends: don't use transitional packages.

  [ Reinhard Tartler ]
  * New upstream version 3.0.2
  * drop patches applied upstream
  * add patch to built against golang-github-coreos-bolt-dev

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 01 Oct 2019 07:11:58 -0400
