=== debian/rules ===
#!/usr/bin/make -f

# disable optional components
TAGS="containers_image_ostree_stub"

export DH_GOLANG_EXCLUDES := openshift

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_build:
	dh_auto_build -O--buildsystem=golang -- -tags $(TAGS)

override_dh_auto_test:
	# TODO: investiate failures
