## golang-github-containers-image 5.0.0

=== debian/changelog ===
golang-github-containers-image (5.0.0-2ubuntu2) groovy; urgency=medium

  * Disable TestComputeDiffID - workaround failure on ubuntu autopkgtest

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 29 May 2020 07:01:41 -0400

golang-github-containers-image (5.0.0-2ubuntu1) groovy; urgency=medium

  * Build-Depend on golang-github-docker-distribution-dev
    - In debian, this dependency comes via the
      golang-github-docker-docker-dev package, but ubuntu lacks that
      dependency

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 21 May 2020 22:30:13 -0400

golang-github-containers-image (5.0.0-2) unstable; urgency=medium

  * New upstream release.
  * "golang-github-coreos-bbolt-dev (>= 1.3.3~)" (Closes: #947486).
  * Install example "registries.conf".
  * DH to version 12.
  * Upload to unstable.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 03 Jan 2020 06:50:03 +1100

golang-github-containers-image (4.0.1-3) unstable; urgency=medium

  * Removed "golang-github-docker-distribution-dev" from (Build-)Depends.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 01 Dec 2019 04:14:01 +1100

golang-github-containers-image (4.0.1-2) unstable; urgency=medium

  * Install docs.
  * Enabled tests.
  * Enabled ostree support.
  * Standards-Version: 4.4.1.
  * Added myself to Uploaders.
  * (Build-)Depends:
    + golang-github-ostreedev-ostree-go-dev

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 11 Nov 2019 13:18:15 +1100
