=== debian/control ===
Source: golang-github-containers-image
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Reinhard Tartler <siretart@tauware.de>,
           Dmitry Smirnov <onlyjob@debian.org>,
Build-Depends: debhelper-compat (= 12),
    dh-golang,
    golang-any,
    golang-github-burntsushi-toml-dev,
    golang-github-containers-storage-dev (>= 1.11),
    golang-github-coreos-bbolt-dev (>= 1.3.3~),
    golang-github-docker-distribution-dev,
    golang-github-docker-docker-credential-helpers-dev,
    golang-github-docker-docker-dev,
    golang-github-docker-go-connections-dev,
    golang-github-docker-libtrust-dev,
    golang-github-ghodss-yaml-dev,
    golang-github-imdario-mergo-dev,
    golang-github-klauspost-pgzip-dev,
    golang-github-opencontainers-go-digest-dev,
    golang-github-opencontainers-image-spec-dev (>= 1.0.1-2),
    golang-github-opencontainers-selinux-dev (>= 1.0.0),
    golang-github-ostreedev-ostree-go-dev,
    golang-github-pkg-errors-dev,
    golang-github-pquerna-ffjson-dev,
    golang-github-proglottis-gpgme-dev,
    golang-github-sirupsen-logrus-dev,
    golang-github-stretchr-testify-dev,
    golang-github-ulikunitz-xz-dev,
    golang-github-vbatts-tar-split-dev,
    golang-github-vbauerster-mpb-dev,
    golang-github-xeipuuv-gojsonschema-dev,
    golang-golang-x-crypto-dev,
    golang-golang-x-net-dev,
    golang-golang-x-sync-dev,
    golang-gopkg-cheggaaa-pb.v1-dev,
#   go-md2man,
    libbtrfs-dev,
    libdevmapper-dev,
Standards-Version: 4.4.1
Homepage: https://github.com/containers/image
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-containers-image
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-containers-image.git
XS-Go-Import-Path: github.com/containers/image
Testsuite: autopkgtest-pkg-go

Package: golang-github-containers-image-dev
Architecture: all
Depends: ${misc:Depends},
    golang-github-burntsushi-toml-dev,
    golang-github-coreos-bbolt-dev (>= 1.3.3~),
    golang-github-docker-distribution-dev,
    golang-github-docker-docker-credential-helpers-dev,
    golang-github-docker-docker-dev,
    golang-github-docker-go-connections-dev,
    golang-github-docker-libtrust-dev,
    golang-github-ghodss-yaml-dev,
    golang-github-imdario-mergo-dev,
    golang-github-klauspost-pgzip-dev,
    golang-github-opencontainers-go-digest-dev,
    golang-github-opencontainers-image-spec-dev (>= 1.0.1-2),
    golang-github-opencontainers-selinux-dev,
    golang-github-ostreedev-ostree-go-dev,
    golang-github-pkg-errors-dev,
    golang-github-proglottis-gpgme-dev,
    golang-github-sirupsen-logrus-dev,
    golang-github-stretchr-testify-dev,
    golang-github-ulikunitz-xz-dev,
    golang-github-vbatts-tar-split-dev,
    golang-github-vbauerster-mpb-dev,
    golang-github-xeipuuv-gojsonschema-dev,
    golang-golang-x-crypto-dev,
    golang-golang-x-net-dev,
    golang-golang-x-sync-dev,
    golang-gopkg-cheggaaa-pb.v1-dev,
Description: golang library to work with containers' images
 This library aims at working in various way with containers' images and
 container image registries and allows an application to pull and push
 images from container image registries, like the upstream docker
 registry. It also implements "simple image signing".
