## golang-github-containers-image 5.5.1

=== debian/changelog ===
golang-github-containers-image (5.5.1-3ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Disable TestComputeDiffID - workaround failure on ubuntu autopkgtest
    - Build-Depend on golang-github-docker-distribution-dev

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 24 Jul 2020 14:47:04 -0400

golang-github-containers-image (5.5.1-3) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 20 Jul 2020 07:15:32 -0400

golang-github-containers-image (5.5.1-2) experimental; urgency=medium

  * Tighten dependency on golang-github-vbauerster-mpb-dev

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 10 Jul 2020 19:50:38 -0400

golang-github-containers-image (5.5.1-1) experimental; urgency=medium

  * New upstream version: 5.5.1
  * Tighten some dependencies

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 10 Jul 2020 08:29:09 -0400

golang-github-containers-image (5.4.3-1) experimental; urgency=medium

  * New upstream version 5.4.3
  * Refresh patches

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 20 Apr 2020 07:33:15 -0400
