=== debian/control ===
--- 
+++ 
@@ -7,20 +7,24 @@
 Build-Depends: debhelper-compat (= 12),
     dh-golang,
     golang-any,
+    golang-github-acarl005-stripansi-dev,
     golang-github-burntsushi-toml-dev,
-    golang-github-containers-storage-dev (>= 1.11),
+    golang-github-containers-ocicrypt-dev,
+    golang-github-containers-storage-dev (>= 1.20),
     golang-github-coreos-bbolt-dev (>= 1.3.3~),
     golang-github-docker-distribution-dev,
     golang-github-docker-docker-credential-helpers-dev,
     golang-github-docker-docker-dev,
+    golang-github-docker-distribution-dev,
     golang-github-docker-go-connections-dev,
     golang-github-docker-libtrust-dev,
+    golang-github-fullsailor-pkcs7-dev,
     golang-github-ghodss-yaml-dev,
     golang-github-imdario-mergo-dev,
     golang-github-klauspost-pgzip-dev,
     golang-github-opencontainers-go-digest-dev,
     golang-github-opencontainers-image-spec-dev (>= 1.0.1-2),
-    golang-github-opencontainers-selinux-dev (>= 1.0.0),
+    golang-github-opencontainers-selinux-dev (>= 1.5),
     golang-github-ostreedev-ostree-go-dev,
     golang-github-pkg-errors-dev,
     golang-github-pquerna-ffjson-dev,
@@ -29,7 +33,7 @@
     golang-github-stretchr-testify-dev,
     golang-github-ulikunitz-xz-dev,
     golang-github-vbatts-tar-split-dev,
-    golang-github-vbauerster-mpb-dev,
+    golang-github-vbauerster-mpb-dev (>= 5.0.3),
     golang-github-xeipuuv-gojsonschema-dev,
     golang-golang-x-crypto-dev,
     golang-golang-x-net-dev,
@@ -48,11 +52,15 @@
 Package: golang-github-containers-image-dev
 Architecture: all
 Depends: ${misc:Depends},
+    golang-github-acarl005-stripansi-dev,
     golang-github-burntsushi-toml-dev,
+    golang-github-containers-ocicrypt-dev,
+    golang-github-containers-storage-dev (>= 1.20),
     golang-github-coreos-bbolt-dev (>= 1.3.3~),
     golang-github-docker-distribution-dev,
     golang-github-docker-docker-credential-helpers-dev,
     golang-github-docker-docker-dev,
+    golang-github-docker-distribution-dev,
     golang-github-docker-go-connections-dev,
     golang-github-docker-libtrust-dev,
     golang-github-ghodss-yaml-dev,
@@ -68,7 +76,7 @@
     golang-github-stretchr-testify-dev,
     golang-github-ulikunitz-xz-dev,
     golang-github-vbatts-tar-split-dev,
-    golang-github-vbauerster-mpb-dev,
+    golang-github-vbauerster-mpb-dev (>= 5.0.3),
     golang-github-xeipuuv-gojsonschema-dev,
     golang-golang-x-crypto-dev,
     golang-golang-x-net-dev,
