=== debian/changelog ===
golang-github-containers-image (5.5.2-1ubuntu1) groovy; urgency=low

  [ Ubuntu Merge-o-Matic ]
  * Merge from Debian unstable.  Remaining changes:
    - Disable TestComputeDiffID - workaround failure on ubuntu autopkgtest
    - Build-Depend on golang-github-docker-distribution-dev

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 17 Sep 2020 18:25:29 -0400

golang-github-containers-image (5.5.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Update renamed lintian tag names in lintian overrides.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Reinhard Tartler ]
  * New upstream version 5.5.2
  * docker-libtrust: add patch documentation
  * Update: Lintian overrides
  * Bump standards version, no changes needed

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 10 Sep 2020 07:42:57 -0400
