=== debian/control ===
--- 
+++ 
@@ -42,7 +42,7 @@
 #   go-md2man,
     libbtrfs-dev,
     libdevmapper-dev,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/containers/image
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-containers-image
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-containers-image.git
