=== debian/rules ===
#!/usr/bin/make -f

# disable optional components
TAGS="containers_image_ostree"

export DH_GOLANG_EXCLUDES := openshift
export DH_GOLANG_INSTALL_EXTRA := $(shell find . -type d -name 'fixtures') $(wildcard docs/*.json)

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_build:
	dh_auto_build -O--buildsystem=golang -- -tags $(TAGS)
#	$(MAKE) docs

override_dh_auto_test:
	# TODO: investiate failures
	-dh_auto_test
