## golang-github-containers-image 5.8.1

=== debian/changelog ===
golang-github-containers-image (5.8.1-1ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Disable TestComputeDiffID - workaround failure on ubuntu autopkgtest
    - Build-Depend on golang-github-docker-distribution-dev

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 01 Dec 2020 08:54:13 -0800

golang-github-containers-image (5.8.1-1) unstable; urgency=medium

  * No sources need to be excluded
  * New upstream version 5.8.1
  * tighten dependency on containers/storage

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 23 Nov 2020 17:11:43 -0500

golang-github-containers-image (5.6.0+dfsg1-1) unstable; urgency=medium

  * debian/copyright: update using cme update dpkg-copyright
  * debian/watch: add repacksuffix
  * New upstream version 5.6.0
  * Tighten build-depends on containers/storage

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 22 Nov 2020 10:15:36 -0500
