=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: golang-github-containers-image
 Section: devel
 Priority: optional
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Reinhard Tartler <siretart@tauware.de>,
            Dmitry Smirnov <onlyjob@debian.org>,
 Build-Depends: debhelper-compat (= 12),
@@ -10,7 +11,7 @@
     golang-github-acarl005-stripansi-dev,
     golang-github-burntsushi-toml-dev,
     golang-github-containers-ocicrypt-dev,
-    golang-github-containers-storage-dev (>= 1.20),
+    golang-github-containers-storage-dev (>= 1.23.9~),
     golang-github-coreos-bbolt-dev (>= 1.3.3~),
     golang-github-docker-distribution-dev,
     golang-github-docker-docker-credential-helpers-dev,
@@ -22,6 +23,7 @@
     golang-github-ghodss-yaml-dev,
     golang-github-imdario-mergo-dev,
     golang-github-klauspost-pgzip-dev,
+    golang-github-manifoldco-promptui-dev,
     golang-github-opencontainers-go-digest-dev,
     golang-github-opencontainers-image-spec-dev (>= 1.0.1-2),
     golang-github-opencontainers-selinux-dev (>= 1.5),
@@ -55,7 +57,7 @@
     golang-github-acarl005-stripansi-dev,
     golang-github-burntsushi-toml-dev,
     golang-github-containers-ocicrypt-dev,
-    golang-github-containers-storage-dev (>= 1.20),
+    golang-github-containers-storage-dev (>= 1.23.9~),
     golang-github-coreos-bbolt-dev (>= 1.3.3~),
     golang-github-docker-distribution-dev,
     golang-github-docker-docker-credential-helpers-dev,
@@ -66,6 +68,7 @@
     golang-github-ghodss-yaml-dev,
     golang-github-imdario-mergo-dev,
     golang-github-klauspost-pgzip-dev,
+    golang-github-manifoldco-promptui-dev,
     golang-github-opencontainers-go-digest-dev,
     golang-github-opencontainers-image-spec-dev (>= 1.0.1-2),
     golang-github-opencontainers-selinux-dev,
