## golang-github-containers-image 5.10.3

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 # Which github repository and branch to use for testing with skopeo
 SKOPEO_REPO = containers/skopeo
-SKOPEO_BRANCH = master
+SKOPEO_BRANCH = release-1.2
 # Set SUDO=sudo to run container integration tests using sudo.
 SUDO =
