=== debian/changelog ===
golang-github-containers-image (5.10.3-1) unstable; urgency=medium

  * New upstream version, focused bugfix release targetted for podman 3.0
  * Tighten build-depends on golang-github-containers-storage

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 21 Feb 2021 16:01:53 -0500

golang-github-containers-image (5.10.1-1) unstable; urgency=medium

  * New upstream version 5.10.1
  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 02 Feb 2021 08:53:20 -0500

golang-github-containers-image (5.9.0-1) experimental; urgency=medium

  * New upstream version 5.9.0

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 14 Dec 2020 07:31:16 -0500

golang-github-containers-image (5.8.1-3) unstable; urgency=medium

  * upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 05 Dec 2020 14:11:31 -0500

golang-github-containers-image (5.8.1-2) experimental; urgency=medium

  * Bump Standards-Version
  * add explicit dependency on golang-github-moby-sys-dev, Closes: #976217
  * Introduce extra package for documentation and configuration files

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 03 Dec 2020 08:52:23 -0500
