=== debian/control ===
--- 
+++ 
@@ -1,22 +1,21 @@
 Source: golang-github-containers-image
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Reinhard Tartler <siretart@tauware.de>,
            Dmitry Smirnov <onlyjob@debian.org>,
 Build-Depends: debhelper-compat (= 12),
     dh-golang,
+    go-md2man,
     golang-any,
     golang-github-acarl005-stripansi-dev,
     golang-github-burntsushi-toml-dev,
     golang-github-containers-ocicrypt-dev,
-    golang-github-containers-storage-dev (>= 1.23.9~),
+    golang-github-containers-storage-dev (>= 1.24.8),
     golang-github-coreos-bbolt-dev (>= 1.3.3~),
     golang-github-docker-distribution-dev,
     golang-github-docker-docker-credential-helpers-dev,
     golang-github-docker-docker-dev,
-    golang-github-docker-distribution-dev,
     golang-github-docker-go-connections-dev,
     golang-github-docker-libtrust-dev,
     golang-github-fullsailor-pkcs7-dev,
@@ -24,6 +23,7 @@
     golang-github-imdario-mergo-dev,
     golang-github-klauspost-pgzip-dev,
     golang-github-manifoldco-promptui-dev,
+    golang-github-moby-sys-dev,
     golang-github-opencontainers-go-digest-dev,
     golang-github-opencontainers-image-spec-dev (>= 1.0.1-2),
     golang-github-opencontainers-selinux-dev (>= 1.5),
@@ -44,12 +44,20 @@
 #   go-md2man,
     libbtrfs-dev,
     libdevmapper-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/containers/image
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-containers-image
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-containers-image.git
 XS-Go-Import-Path: github.com/containers/image
 Testsuite: autopkgtest-pkg-go
+
+Package: golang-github-containers-image
+Architecture: all
+Depends: ${misc:Depends}
+Replaces: buildah (<< 1.17.1+dfsg1-2)
+Description: Configuration files and manpages for github.com/containers repositories
+ This package contains documentation and configuration files for use by
+ other container projects.
 
 Package: golang-github-containers-image-dev
 Architecture: all
@@ -57,18 +65,18 @@
     golang-github-acarl005-stripansi-dev,
     golang-github-burntsushi-toml-dev,
     golang-github-containers-ocicrypt-dev,
-    golang-github-containers-storage-dev (>= 1.23.9~),
+    golang-github-containers-storage-dev (>= 1.24.8),
     golang-github-coreos-bbolt-dev (>= 1.3.3~),
     golang-github-docker-distribution-dev,
     golang-github-docker-docker-credential-helpers-dev,
     golang-github-docker-docker-dev,
-    golang-github-docker-distribution-dev,
     golang-github-docker-go-connections-dev,
     golang-github-docker-libtrust-dev,
     golang-github-ghodss-yaml-dev,
     golang-github-imdario-mergo-dev,
     golang-github-klauspost-pgzip-dev,
     golang-github-manifoldco-promptui-dev,
+    golang-github-moby-sys-dev,
     golang-github-opencontainers-go-digest-dev,
     golang-github-opencontainers-image-spec-dev (>= 1.0.1-2),
     golang-github-opencontainers-selinux-dev,
