=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,10 @@
 	dh_auto_build -O--buildsystem=golang -- -tags $(TAGS)
 #	$(MAKE) docs
 
+override_dh_auto_install:
+	dh_auto_install --buildsystem=golang
+	make install-docs DESTDIR=$(CURDIR)/debian/golang-github-containers-image
+
 override_dh_auto_test:
 	# TODO: investiate failures
 	-dh_auto_test
