=== debian/watch ===
version=4

opts="\
pgpmode=none,\
repack,compression=xz,repacksuffix=+dfsg1,\
dversionmangle=s{[+~]dfsg\d*}{},\
"  https://github.com/containers/image/tags .*/v?(\d\S*)\.tar\.gz
