## golang-github-containers-image 5.11.1

=== debian/changelog ===
golang-github-containers-image (5.11.1-1ubuntu1) impish; urgency=medium

  * Disable LTO

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 07 Jun 2021 22:46:14 -0400

golang-github-containers-image (5.11.1-1) experimental; urgency=medium

  * New upstream version
  * Bump dependency on golang-github-vbauerster-mpb-dev

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 28 May 2021 12:03:31 -0400

golang-github-containers-image (5.10.5-2) experimental; urgency=medium

  * New upstream version

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 02 Apr 2021 17:20:56 -0400
