=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: golang-github-containers-image
 Section: devel
 Priority: optional
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Reinhard Tartler <siretart@tauware.de>,
            Dmitry Smirnov <onlyjob@debian.org>,
 Build-Depends: debhelper-compat (= 12),
@@ -11,7 +12,7 @@
     golang-github-acarl005-stripansi-dev,
     golang-github-burntsushi-toml-dev,
     golang-github-containers-ocicrypt-dev,
-    golang-github-containers-storage-dev (>= 1.24.8),
+    golang-github-containers-storage-dev (>= 1.28),
     golang-github-coreos-bbolt-dev (>= 1.3.3~),
     golang-github-docker-distribution-dev,
     golang-github-docker-docker-credential-helpers-dev,
@@ -35,7 +36,7 @@
     golang-github-stretchr-testify-dev,
     golang-github-ulikunitz-xz-dev,
     golang-github-vbatts-tar-split-dev,
-    golang-github-vbauerster-mpb-dev (>= 5.0.3),
+    golang-github-vbauerster-mpb-dev (>= 6),
     golang-github-xeipuuv-gojsonschema-dev,
     golang-golang-x-crypto-dev,
     golang-golang-x-net-dev,
@@ -65,7 +66,7 @@
     golang-github-acarl005-stripansi-dev,
     golang-github-burntsushi-toml-dev,
     golang-github-containers-ocicrypt-dev,
-    golang-github-containers-storage-dev (>= 1.24.8),
+    golang-github-containers-storage-dev (>= 1.28),
     golang-github-coreos-bbolt-dev (>= 1.3.3~),
     golang-github-docker-distribution-dev,
     golang-github-docker-docker-credential-helpers-dev,
