=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 # disable optional components
 TAGS="containers_image_ostree"
 
+export DEB_BUILD_MAINT_OPTIONS="optimize=-lto"
 export DH_GOLANG_EXCLUDES := openshift
 export DH_GOLANG_INSTALL_EXTRA := $(shell find . -type d -name 'fixtures') $(wildcard docs/*.json)
