=== debian/changelog ===
golang-github-containers-image (5.12.0-2) experimental; urgency=medium

  * New upstream version
  * Tighten build-depends on golang-github-containers-storage

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 04 Jun 2021 23:59:06 -0400
