## golang-github-containers-image 5.15.2

=== debian/changelog ===
golang-github-containers-image (5.15.2-2) unstable; urgency=medium

  * bump dependency on golang-github-vbauerster-mpb-dev

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 28 Aug 2021 23:13:18 +0200

golang-github-containers-image (5.15.2-1) unstable; urgency=medium

  * New upstream version, closes: #992141

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 28 Aug 2021 17:47:45 +0200
