=== debian/control ===
--- 
+++ 
@@ -35,7 +35,7 @@
     golang-github-stretchr-testify-dev,
     golang-github-ulikunitz-xz-dev,
     golang-github-vbatts-tar-split-dev,
-    golang-github-vbauerster-mpb-dev (>= 6),
+    golang-github-vbauerster-mpb-dev (>= 7),
     golang-github-xeipuuv-gojsonschema-dev,
     golang-golang-x-crypto-dev,
     golang-golang-x-net-dev,
@@ -87,7 +87,7 @@
     golang-github-stretchr-testify-dev,
     golang-github-ulikunitz-xz-dev,
     golang-github-vbatts-tar-split-dev,
-    golang-github-vbauerster-mpb-dev (>= 5.0.3),
+    golang-github-vbauerster-mpb-dev (>= 7),
     golang-github-xeipuuv-gojsonschema-dev,
     golang-golang-x-crypto-dev,
     golang-golang-x-net-dev,
