=== debian/changelog ===
golang-github-containers-image (5.16.0-3) unstable; urgency=medium

  * Avoid autopkgtest failure

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 26 Oct 2021 13:09:20 -0400

golang-github-containers-image (5.16.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 25 Oct 2021 17:18:26 -0400

golang-github-containers-image (5.16.0-1) experimental; urgency=medium

  * New upstream release
    - tighten dependency on containers/storage
  * manpage-fixups.patch: fix some nroff/whatis warnings to ensure proper
    whatis/apropos parsing
  * Bump standards version, no changes needed

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 06 Oct 2021 15:45:59 -0400
