=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
     golang-github-acarl005-stripansi-dev,
     golang-github-burntsushi-toml-dev,
     golang-github-containers-ocicrypt-dev,
-    golang-github-containers-storage-dev (>= 1.29),
+    golang-github-containers-storage-dev (>= 1.36),
     golang-github-coreos-bbolt-dev (>= 1.3.3~),
     golang-github-docker-distribution-dev,
     golang-github-docker-docker-credential-helpers-dev,
@@ -41,10 +41,9 @@
     golang-golang-x-net-dev,
     golang-golang-x-sync-dev,
     golang-gopkg-cheggaaa-pb.v1-dev,
-#   go-md2man,
     libbtrfs-dev,
     libdevmapper-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/containers/image
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-containers-image
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-containers-image.git
@@ -65,7 +64,7 @@
     golang-github-acarl005-stripansi-dev,
     golang-github-burntsushi-toml-dev,
     golang-github-containers-ocicrypt-dev,
-    golang-github-containers-storage-dev (>= 1.29),
+    golang-github-containers-storage-dev (>= 1.36),
     golang-github-coreos-bbolt-dev (>= 1.3.3~),
     golang-github-docker-distribution-dev,
     golang-github-docker-docker-credential-helpers-dev,
