=== debian/rules ===
--- 
+++ 
@@ -13,12 +13,11 @@
 
 override_dh_auto_build:
 	dh_auto_build -O--buildsystem=golang -- -tags $(TAGS)
-#	$(MAKE) docs
+
+override_dh_strip_nondeterminism:
+	# this file comes from the testsuite, not a source of non-determinism
+	dh_strip_nondeterminism -XHello.gz
 
 override_dh_auto_install:
 	dh_auto_install --buildsystem=golang
 	make install-docs DESTDIR=$(CURDIR)/debian/golang-github-containers-image
-
-override_dh_auto_test:
-	# TODO: investiate failures
-	-dh_auto_test
